Bug 204539 - prepareChangeLog action missing when Mylar installed
prepareChangeLog action missing when Mylar installed
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: eclipse-changelog (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnston
bzcl34nup
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-29 16:06 EDT by Andrew Overholt
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:47:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Overholt 2006-08-29 16:06:53 EDT
Description of problem:
SSIA

Version-Release number of selected component (if applicable):
2.2.2

How reproducible:
Always.

Steps to Reproduce:
1. Install 2.2.2 (either via RPM or as features and plugins directly)
2. Install mylar via update site (see eclipse.org/mylar for instructions)
3. Attempt to use prepareChangeLog functionality
Comment 1 Kyu Lee 2006-08-30 11:47:34 EDT
Where/How can I get the RPM that you installed?
Comment 2 Andrew Overholt 2006-08-30 11:57:10 EDT
(In reply to comment #1)
> Where/How can I get the RPM that you installed?

What RPM?  You mean eclipse-changelog?  I just copied the features and plugins
stuff from an RHDS eclipse-changelog RPM.
Comment 3 Kyu Lee 2006-08-30 13:30:59 EDT
After installing mylar and 2.2.2, I could still see the action with right click.

Did you change the model view to Workspace in Sync. View?
Comment 4 Andrew Overholt 2006-08-30 13:36:29 EDT
(In reply to comment #3)
> After installing mylar and 2.2.2, I could still see the action with right click.
> 
> Did you change the model view to Workspace in Sync. View?

Yes.  Hmm.  It could be something with my setup.   I'll try it again.
Comment 5 Kyu Lee 2006-08-30 13:38:48 EDT
Hm, I see the menu but it's throwing excption.

java.lang.IllegalArgumentException:
at org.eclipse.core.runtime.Assert.isLegal(Assert.java:62)
at org.eclipse.core.runtime.Assert.isLegal(Assert.java:46)
at org.eclipse.core.runtime.Status.setMessage(Status.java:178)
at org.eclipse.core.runtime.Status.<init>(Status.java:85)
at
com.redhat.eclipse.changelog.core.actions.PrepareChangeLogAction.doRun(PrepareChangeLogAction.java:128)
at
com.redhat.eclipse.changelog.core.ui.ChangeLogActionProvider$1.run(ChangeLogActionProvider.java:93)
at org.eclipse.jface.action.Action.runWithEvent(Action.java:499)
at
org.eclipse.jface.action.ActionContributionItem.handleWidgetSelection(ActionContributionItem.java:539)
at
org.eclipse.jface.action.ActionContributionItem.access$2(ActionContributionItem.java:488)
at
org.eclipse.jface.action.ActionContributionItem$5.handleEvent(ActionContributionItem.java:400)
at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:66)
at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1085)
at org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:3164)
at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:2840)
at org.eclipse.ui.internal.Workbench.runEventLoop(Workbench.java:1914)
at org.eclipse.ui.internal.Workbench.runUI(Workbench.java:1878)
at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:419)
at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:149)
at org.eclipse.ui.internal.ide.IDEApplication.run(IDEApplication.java:95)
at
org.eclipse.core.internal.runtime.PlatformActivator$1.run(PlatformActivator.java:78)
at
org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:92)
at
org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:68)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:400)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:177)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
at java.lang.reflect.Method.invoke(Method.java:585)
at org.eclipse.core.launcher.Main.invokeFramework(Main.java:336)
at org.eclipse.core.launcher.Main.basicRun(Main.java:280)
at org.eclipse.core.launcher.Main.run(Main.java:977)
at org.eclipse.core.launcher.Main.main(Main.java:952)
Comment 6 Kyu Lee 2006-08-30 14:08:25 EDT
Oops. This exception is not related to this bug.
Comment 7 Andrew Overholt 2006-08-30 15:21:31 EDT
I can't duplicate.  Closing.
Comment 8 Andrew Overholt 2007-01-03 17:09:02 EST
I can duplicate again.  Re-opening.  I install eclipse-changelog via yum and
then use the update manager to install mylar.  After re-starting, I can't
Ctrl-Alt-P.
Comment 9 Red Hat Bugzilla 2007-09-11 00:05:45 EDT
User klee@redhat.com's account has been closed
Comment 10 Bug Zapper 2008-04-03 14:04:02 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 11 Andrew Overholt 2008-04-03 14:35:36 EDT
Jeff:  please try to duplicate this both with the yum-install eclipse-mylyn and
with Update Manager-installed Mylyn
(download.eclipse.org/tools/mylyn/update/e3.3).  Move ~/.eclipse out of the way
in between tests.
Comment 12 Bug Zapper 2008-05-06 20:47:02 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.